QGIS Application - Bug report #13602
WMS of group layer is drawn in reverse order
2015-10-1501:29 AM - Henrik Uggla

Status: Closed

Priority: Severe/Regression

Assignee:

Category: QGIS Server

Affected QGIS version:2.8.3 Regression?: No
Operating System: Ubuntu Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21644
Description

Qgis Server 2.8.1 works fine but both 2.8.2 and 2.8.3 has this issue.

Example:
I, in Qgis Desktop, create a project containing one grouplayer containing three layers like this:

grouplayer1
transparentlayer1
transparentlayer2
opaquelayeri

All looks fine in Qgis Desktop, all layers are visible.
Then | publish it as Qgis Server WMS.
When | do REQUEST=GetMap&LAYER=grouplayer1 the layers are drawn in reverse order like this:

grouplayer1
opaquelayer1
transparentlayer2
transparentlayer1

That means only opaquelayer1 is visible in the WMS response.

If I reverse the layer order in the Qgis project (opaquelayer1 on top, hiding the other two in Qgis Desktop) and publish that then all layers
is visible when doing REQUEST=GetMap&LAYER=grouplayer1.

History

#1 - 2015-10-21 06:29 PM - Nyall Dawson
- Status changed from Open to Feedback

Was this solved by commit:89487217? Can you reproduce in current master/2.12?

#2 - 2015-10-22 06:21 AM - Henrik Uggla

I've tried the last two nightlies but all | get is "WMS configuration error", so | don't know. | will try again tomorrow.

#3 - 2015-10-28 06:29 AM - Henrik Uggla
- Status changed from Feedback to Closed

It is solved in 2.12. Thanks!
